Public Attributes | List of all members
_dma_handle Struct Reference
Peripheral Driver » HAL Driver » DMA » DMA handle

DMA handle Structure definition. More...

`#include <gr533x_hal_dma.h>`

## Public Attributes
dma_regs_t * | p_instance
dma_channel_t | channel
dma_init_t | init
hal_lock_t | lock
__IO hal_dma_state_t | state
void * | p_parent
void(* | xfer_tfr_callback )(struct _dma_handle *p_dma)
void(* | xfer_blk_callback )(struct _dma_handle *p_dma)
void(* | xfer_error_callback )(struct _dma_handle *p_dma)
void(* | xfer_abort_callback )(struct _dma_handle *p_dma)
__IO uint32_t | error_code
uint32_t | retention [5]

## Detailed Description

DMA handle Structure definition.

Definition at line 193 of file gr533x_hal_dma.h.

## Member Data Documentation

## ◆ channel

dma_channel_t _dma_handle::channel

DMA Channel Number

Definition at line 197 of file gr533x_hal_dma.h.

## ◆ error_code

__IO uint32_t _dma_handle::error_code

DMA Error code

Definition at line 215 of file gr533x_hal_dma.h.

## ◆ init

dma_init_t _dma_handle::init

DMA communication parameters

Definition at line 199 of file gr533x_hal_dma.h.

## ◆ lock

hal_lock_t _dma_handle::lock

DMA locking object

Definition at line 201 of file gr533x_hal_dma.h.

## ◆ p_instance

dma_regs_t* _dma_handle::p_instance

DMA registers base address

Definition at line 195 of file gr533x_hal_dma.h.

## ◆ p_parent

void* _dma_handle::p_parent

Parent object state

Definition at line 205 of file gr533x_hal_dma.h.

## ◆ retention

uint32_t _dma_handle::retention[5]

DMA important register information.

Definition at line 217 of file gr533x_hal_dma.h.

## ◆ state

__IO hal_dma_state_t _dma_handle::state

DMA transfer state

Definition at line 203 of file gr533x_hal_dma.h.

## ◆ xfer_abort_callback

void(* _dma_handle::xfer_abort_callback) (struct _dma_handle *p_dma)

DMA transfer abort callback

Definition at line 213 of file gr533x_hal_dma.h.

## ◆ xfer_blk_callback

void(* _dma_handle::xfer_blk_callback) (struct _dma_handle *p_dma)

DMA block complete callback

Definition at line 209 of file gr533x_hal_dma.h.

## ◆ xfer_error_callback

void(* _dma_handle::xfer_error_callback) (struct _dma_handle *p_dma)

DMA transfer error callback

Definition at line 211 of file gr533x_hal_dma.h.

## ◆ xfer_tfr_callback

void(* _dma_handle::xfer_tfr_callback) (struct _dma_handle *p_dma)

DMA transfer complete callback

Definition at line 207 of file gr533x_hal_dma.h.

The documentation for this struct was generated from the following file:

- gr533x_hal_dma.h